Package ch.qos.logback.core.sift

## Class SiftingJoranConfiguratorBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.GenericConfigurator
    - - ch.qos.logback.core.sift.SiftingJoranConfiguratorBase<E>

All Implemented Interfaces:
  `ContextAware`

Direct Known Subclasses:
  `SiftingJoranConfigurator`, `SiftingJoranConfigurator`

    public abstract class SiftingJoranConfiguratorBase<E>
    extends GenericConfigurator

### Field Summary

Fields
`protected java.lang.String` `key`
`protected java.util.Map<java.lang.String,​java.lang.String>` `parentPropertyMap`
`protected java.lang.String` `value`

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`protected` `SiftingJoranConfiguratorBase​(java.lang.String key, java.lang.String value, java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addImplicitRules​(Interpreter interpreter)`
`protected void` `addInstanceRules​(RuleStore rs)`
`void` `doConfigure​(java.util.List<SaxEvent> eventList)`
`abstract Appender<E>` `getAppender()`
`protected void` `oneAndOnlyOneCheck​(java.util.Map<?,​?> appenderMap)`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`addDefaultNestedComponentRegistryRules, buildInterpreter, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, initialElementPath, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    protected final java.lang.String key

#### value

    protected final java.lang.String value

#### parentPropertyMap

    protected final java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap

### Constructor Detail

#### SiftingJoranConfiguratorBase

    protected SiftingJoranConfiguratorBase​(java.lang.String key,
                                           java.lang.String value,
                                           java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap)

### Method Detail

#### addImplicitRules

    protected void addImplicitRules​(Interpreter interpreter)

Specified by:
  `addImplicitRules` in class `GenericConfigurator`

#### addInstanceRules

    protected void addInstanceRules​(RuleStore rs)

Specified by:
  `addInstanceRules` in class `GenericConfigurator`

#### getAppender

    public abstract Appender<E> getAppender()

#### oneAndOnlyOneCheck

    protected void oneAndOnlyOneCheck​(java.util.Map<?,​?> appenderMap)

#### doConfigure

    public void doConfigure​(java.util.List<SaxEvent> eventList)
                     throws JoranException

Overrides:
  `doConfigure` in class `GenericConfigurator`
Throws:
  `JoranException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`